PETSc version 3.15.5
Fix/Edit manual page

# PCBDDCSetDirichletBoundaries

Set IS defining Dirichlet boundaries for the global problem.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDirichletBoundaries(PC pc,IS DirichletBoundaries)

Collective

### Input Parameters

| pc | - the preconditioning context
| DirichletBoundaries | - parallel IS defining the Dirichlet boundaries

### Notes

Provide the information if you used MatZeroRows/Columns routines. Any process can list any global node

### See Also

PCBDDC, PCBDDCSetDirichletBoundariesLocal(), MatZeroRows(), MatZeroRowsColumns()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Examples

src/ksp/ksp/tutorials/ex71.c.html

### Implementations

PCBDDCSetDirichletBoundaries_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages